package cz.muni.fi.pa165.services.tournamentOrganizer;

import cz.muni.fi.pa165.entity.TournamentEntity;
import cz.muni.fi.pa165.entity.TournamentOrganizerEntity;

import java.util.List;
import java.util.UUID;

/**
 * @author Dominik Kozubík
 */
public interface TournamentOrganizerService {

    void create(TournamentOrganizerEntity tournamentOrganizer);

    List<TournamentOrganizerEntity> findAll();

    TournamentOrganizerEntity findById(UUID id);

    UUID update(TournamentOrganizerEntity tournamentOrganizer);

    void remove(TournamentOrganizerEntity tournamentOrganizer);

    /**
     * Adds tournament for the TournamentOrganizer to the set of organizedTournaments.
     * @param organizedT Organized tournament.
     */
    void addOrganizedTournament(TournamentOrganizerEntity tournamentOrganizer, TournamentEntity organizedT);

    /**
     * Adds tournament for the TournamentOrganizer to the set of futureTournaments.
     * @param futureT Future tournament which is organized by tournament organizer.
     */
    void addFutureTournament(TournamentOrganizerEntity tournamentOrganizer, TournamentEntity futureT);
}
